courier-mta is broken: /usr/lib/courier/courier/courierfilter missing from package

Bug #1732071 reported by Steve Langasek on 2017-11-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
courier (Debian)
Fix Released
Unknown
courier (Ubuntu)
Critical
Unassigned
Artful
Critical
Unassigned

Bug Description

The courier-mta package in artful and bionic is broken; it ships /lib/systemd/system/courierfilter.service, which points to /usr/sbin/courierfilter, which references /usr/lib/courier/courier/courierfilter, but this last file is missing from the package (and from the archive).

This problem was detected in the courier-filter-perl autopkgtest, which failed because the courierfilter service doesn't start:

Setting up courier-mta (0.78.0-2) ...
Job for courierfilter.service failed because the control process exited with err
or code.
See "systemctl status courierfilter.service" and "journalctl -xe" for details.
invoke-rc.d: initscript courierfilter, action "start" failed.
ESC[0;1;31m●ESC[0m courierfilter.service - Courier Filter Daemon
   Loaded: loaded (/lib/systemd/system/courierfilter.service; disabled; vendor p
reset: enabled)
   Active: ESC[0;1;31mfailedESC[0m (Result: exit-code) since Tue 2017-10-31 18:2
5:07 UTC; 17ms ago
  Process: 4043 ExecStart=/usr/sbin/courierfilter start ESC[0;1;31m(code=exited,
 status=127)ESC[0m

Oct 31 18:25:07 autopkgtest systemd[1]: Starting Courier Filter Daemon...
Oct 31 18:25:07 autopkgtest courierfilter[4043]: /bin/sh: 1: /usr/lib/courier/courier/courierfilter: not found
Oct 31 18:25:07 autopkgtest systemd[1]: ESC[0;1;39mcourierfilter.service: Control process exited, code=exited status=127ESC[0m

https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-bionic/bionic/amd64/c/courier-filter-perl/20171031_182654_c5326@/log.gz

Unfortunately, this somehow did not stop the courier package from migrating to artful, even though a regressing autopkgtest in a reverse-dependency is supposed to always be considered a blocker.

Steve Langasek (vorlon) on 2017-11-14
Changed in courier (Ubuntu):
importance: Undecided → Critical
Steve Langasek (vorlon) on 2017-11-14
Changed in courier (Ubuntu Artful):
importance: Undecided → Critical
status: New → Triaged
Changed in courier (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package courier - 0.78.0-2ubuntu1

---------------
courier (0.78.0-2ubuntu1) bionic; urgency=medium

  * Fix missing installation of courierfilter in the courier-mta package.
    LP: #1732071.

 -- Steve Langasek <email address hidden> Mon, 13 Nov 2017 21:54:20 -0800

Changed in courier (Ubuntu):
status: Fix Committed → Fix Released
Changed in courier (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.